API ReferencePipelines
Get pipeline
Get pipeline details including all stages and contacts.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidpipelineId*string
Format
uuidResponse Body
application/json
curl -X GET "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"pipeline": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"name": "string",
"description": "string",
"isDefault": false,
"triggerCriteria": {},
"sortOrder": 0,
"createdAt": "2019-08-24T14:15:22Z",
"stages": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd",
"name": "string",
"color": "#6366f1",
"goal": 0,
"sortOrder": 0,
"isWonStage": false,
"isLostStage": false,
"createdAt": "2019-08-24T14:15:22Z",
"contacts": [
{
"id": "string",
"displayName": "string",
"phone": "string",
"email": "string",
"company": "string"
}
]
}
]
}
}Empty
Empty
Empty
Empty